Attribute VB_Name = "pdf_email"
Sub GerarPDF()
    Dim ws As Worksheet
    Dim caminhoArquivo As String
     
    ' Altere para o nome da sua planilha
    Set ws = ThisWorkbook.Sheets("Relatorio")
    
    ' Nome do relatrio
    caminhoArquivo = ThisWorkbook.Path & "\Relatorio.pdf"
     
    ws.ExportAsFixedFormat Type:=xlTypePDF, Filename:=caminhoArquivo, Quality:=xlQualityStandard, _
        IncludeDocProperties:=True, IgnorePrintAreas:=False, OpenAfterPublish:=False
     
    MsgBox "PDF gerado com sucesso!", vbInformation
End Sub

Sub EnviarEmail()
    Dim OutlookApp As Object
    Dim EmailItem As Object
    Dim caminhoArquivo As String
     
    caminhoArquivo = ThisWorkbook.Path & "\Relatorio.pdf"
     
    Set OutlookApp = CreateObject("Outlook.Application")
    Set EmailItem = OutlookApp.CreateItem(0)
     
    With EmailItem
        ' Substitua pelo e-mail desejado
        .To = "destinatario@empresa.com"
        ' Ttulo do e-mail
        .Subject = "Relatrio Automtico"
        ' Corpo da mensagem
        .Body = "Segue em anexo o relatrio gerado automaticamente pelo Excel."
        .Attachments.Add caminhoArquivo
        .Send
    End With
     
    MsgBox "E-mail enviado com sucesso!", vbInformation
End Sub

